package com.bonus.canteen.core.account.service;

import com.bonus.canteen.core.account.domain.param.*;
import com.bonus.canteen.core.account.domain.vo.AccBatchOperationWalletPreCheckVO;
import com.bonus.canteen.core.account.domain.vo.AccOperationListVO;

import java.util.List;

public interface AccSubService {
   void individualAccSubsidyAdd(AccSubsidyAddParam param);

   void individualAccSubsidyClear(AccSubsidyClearParam param);

   void batchAccSubsidyAdd(AccSubsidyBatchAddParam param);

   void batchAccSubsidyClear(AccSubsidyBatchClearParam param);

   AccBatchOperationWalletPreCheckVO batchOperationWalletAddCheck(AccSubsidyBatchAddParam param);

   AccBatchOperationWalletPreCheckVO batchOperationWalletClearCheck(AccSubsidyBatchClearParam param);

   List<AccOperationListVO> queryAccSubOperationList(AccWalletOperationQueryParam param);

}
